%define upstream_name    FCGI-ProcManager-MaxRequests
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Restrict max number of requests by each child
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI::ProcManager)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
FCGI-ProcManager-MaxRequests is a extension of FCGI-ProcManager that allow
restrict fastcgi processes to process only limiting number of requests.
This may help avoid growing memory usage and compensate memory leaks.

This module subclass the FCGI::ProcManager manpage. After server process
max_requests number of requests, it simple exit, and manager starts another
server process. Maximum number of requests can be set from PM_MAX_REQUESTS
environment variable, max_requests - constructor argument and max_requests
accessor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-14.mga10
+ Revision: 2203900
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-13.mga9
+ Revision: 1809285
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-12.mga8
+ Revision: 1504442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-11.mga7
+ Revision: 1283654
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.20.0-10.mga7
+ Revision: 1164313
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1160200
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1027275
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 948897
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 788552
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 746093
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 684699
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 511449
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 367122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 28533
- mageia rebuild
- imported package perl-FCGI-ProcManager-MaxRequests


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 627130
- import perl-FCGI-ProcManager-MaxRequests

